# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.490   -> 1.491  
#	drivers/usb/input/Makefile	1.5     -> 1.6    
#	drivers/usb/input/aiptek.c	1.1     -> 1.2    
#	drivers/usb/Makefile	1.32    -> 1.33   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/14	greg@kroah.com	1.491
# USB: fixups due to the aiptek patch to get everything to build properly.
# --------------------------------------------
#
diff -Nru a/drivers/usb/Makefile b/drivers/usb/Makefile
--- a/drivers/usb/Makefile	Fri Jun 14 14:15:18 2002
+++ b/drivers/usb/Makefile	Fri Jun 14 14:15:18 2002
@@ -24,6 +24,7 @@
 
 obj-$(CONFIG_USB_STORAGE)	+= storage/
 
+obj-$(CONFIG_USB_AIPTEK)	+= input/
 obj-$(CONFIG_USB_HID)		+= input/
 obj-$(CONFIG_USB_KBD)		+= input/
 obj-$(CONFIG_USB_MOUSE)		+= input/
diff -Nru a/drivers/usb/input/Makefile b/drivers/usb/input/Makefile
--- a/drivers/usb/input/Makefile	Fri Jun 14 14:15:18 2002
+++ b/drivers/usb/input/Makefile	Fri Jun 14 14:15:18 2002
@@ -13,10 +13,10 @@
 	hid-objs        += hid-input.o
 endif
 
+obj-$(CONFIG_USB_AIPTEK)	+= aiptek.o
 obj-$(CONFIG_USB_HID)		+= hid.o
 obj-$(CONFIG_USB_KBD)		+= usbkbd.o
 obj-$(CONFIG_USB_MOUSE)		+= usbmouse.o
-obj-$(CONFIG_USB_AIPTEK)	+= aiptek.o
 obj-$(CONFIG_USB_WACOM)		+= wacom.o
 
 
diff -Nru a/drivers/usb/input/aiptek.c b/drivers/usb/input/aiptek.c
--- a/drivers/usb/input/aiptek.c	Fri Jun 14 14:15:18 2002
+++ b/drivers/usb/input/aiptek.c	Fri Jun 14 14:15:18 2002
@@ -210,9 +210,15 @@
 	buf[1] = command;
 	buf[2] = data;
 
+	/* 
+	 * FIXME, either remove this call, or talk the maintainer into 
+	 * adding it back into the core.
+	 */
+#if 0
 	if (usb_set_report(dev, ifnum, 3, 2, buf, 3) != 3) {
 		dbg("aiptek_command: 0x%x 0x%x\n", command, data);
 	}
+#endif
 }
 
 static void*
